Package org.opensaml.saml.saml2.core

# Interface ManageNameIDRequest

All Superinterfaces:
  `RequestAbstractType`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Implementing Classes:
  `ManageNameIDRequestImpl`

public interface ManageNameIDRequest extends RequestAbstractType
SAML 2.0 Core ManageNameIDRequest.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`EncryptedID`
`getEncryptedID()`
Get the EncryptedID of the request.
`NameID`
`getNameID()`
Get the NameID of the request.
`NewEncryptedID`
`getNewEncryptedID()`
Get the NewEncryptedID of the request.
`NewID`
`getNewID()`
Get the NewID of the request.
`Terminate`
`getTerminate()`
Get the Terminate of the request.
`void`
`setEncryptedID(EncryptedID newEncryptedID)`
Set the EncryptedID of the request.
`void`
`setNameID(NameID newNameID)`
Set the NameID of the request.
`void`
`setNewEncryptedID(NewEncryptedID newNewEncryptedID)`
Set the NewEncryptedID of the request.
`void`
`setNewID(NewID newNewID)`
Set the NewID of the request.
`void`
`setTerminate(Terminate newTerminate)`
Set the Terminate of the request.

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getNameID

@Nullable NameID getNameID()
Get the NameID of the request.

Returns:
  the NameID of the request

### setNameID

void setNameID(@Nullable NameID newNameID)
Set the NameID of the request.

Parameters:
  `newNameID` - the new NameID of the request

### getEncryptedID

@Nullable EncryptedID getEncryptedID()
Get the EncryptedID of the request.

Returns:
  the EncryptedID of the request

### setEncryptedID

void setEncryptedID(@Nullable EncryptedID newEncryptedID)
Set the EncryptedID of the request.

Parameters:
  `newEncryptedID` - the new EncryptedID of the request

### getNewID

@Nullable NewID getNewID()
Get the NewID of the request.

Returns:
  the NewID of the request

### setNewID

void setNewID(@Nullable NewID newNewID)
Set the NewID of the request.

Parameters:
  `newNewID` - the new NewID of the request

### getNewEncryptedID

@Nullable NewEncryptedID getNewEncryptedID()
Get the NewEncryptedID of the request.

Returns:
  the NewEncryptedID of the request

### setNewEncryptedID

void setNewEncryptedID(@Nullable NewEncryptedID newNewEncryptedID)
Set the NewEncryptedID of the request.

Parameters:
  `newNewEncryptedID` - the new NewEncryptedID of the request

### getTerminate

@Nullable Terminate getTerminate()
Get the Terminate of the request.

Returns:
  the Terminate of the request

### setTerminate

void setTerminate(@Nullable Terminate newTerminate)
Set the Terminate of the request.

Parameters:
  `newTerminate` - the new NewID Terminate of the request